# Synopsis

`crazy-complete [OPTIONS] {bash,fish,zsh,yaml,json} <DEFINITION_FILE>`

# Options

--input-type={yaml,json,python,help,auto}

  Specify input file type. With `auto` the file extension will be used to determine the input type.

--abbreviate-commands={True,False}

  Sets whether commands can be abbreviated.

--abbreviate-options={True,False}

  Sets whether options can be abbreviated. Note: Abbreviated options are not supported by Fish and Zsh.

--repeatable-options={True,False}

  Sets whether options are suggested multiple times during completion.

--inherit-options={True,False}

  Sets whether parent options are visible to subcommands.

--vim-modeline={True,False}

  Sets whether a vim modeline comment shall be appended to the generated code.

--include-file=FILE

  Include contents of FILE in output.

-o, --output=FILE

  Write output to destination file. [default: stdout]

-i, --install-system-wide

  Write output to the system-wide completions directory of the shell.

-u, --uninstall-system-wide

  Uninstall the system-wide completion file for the program.